clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Enumerations
Query.h File Reference
`#include "clang/ASTMatchers/Dynamic/VariantValue.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
`#include "llvm/ADT/Optional.h"`
`#include <string>`
Include dependency graph for Query.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::query::Query
struct | clang::query::InvalidQuery
| Any query which resulted in a parse error. The error message is in ErrStr. More...
struct | clang::query::NoOpQuery
| No-op query (i.e. a blank line). More...
struct | clang::query::HelpQuery
| Query for "help". More...
struct | clang::query::QuitQuery
| Query for "quit". More...
struct | clang::query::MatchQuery
| Query for "match MATCHER". More...
struct | clang::query::LetQuery
struct | clang::query::SetQueryKind< T >
struct | clang::query::SetQueryKind< bool >
struct | clang::query::SetQueryKind< OutputKind >
struct | clang::query::SetQuery< T >
| Query for "set VAR VALUE". More...

## Namespaces
| clang
| clang::query

## Typedefs
typedef llvm::IntrusiveRefCntPtr < Query > | clang::query::QueryRef

## Enumerations
enum | clang::query::OutputKind { clang::query::OK_Diag, clang::query::OK_Print, clang::query::OK_Dump }
enum | clang::query::QueryKind { clang::query::QK_Invalid, clang::query::QK_NoOp, clang::query::QK_Help, clang::query::QK_Let, clang::query::QK_Match, clang::query::QK_SetBool, clang::query::QK_SetOutputKind, clang::query::QK_Quit }